Re: Failed to install libgcc9: no destroot found

2019-09-27 Thread Piet van Oostrum
Vahid Askarpour writes: > port provides /opt/local/lib/libgcc/libatomic.1.dylib results in: > > /opt/local/lib/libgcc/libatomic.1.dylib does not exist. > Is there anything in /opt/local/lib/libgcc ? -- Piet van Oostrum WWW: http://piet.vanoostrum.org/ PGP key: [8DAE142BE17999C4]

Re: Failed to install libgcc9: no destroot found

2019-09-27 Thread Piet van Oostrum
. > > This is not correct. libgcc has not installed anything (other than a > stub readme file) for some time now. But could it have been installed by some other libgcc* port? Like libgcc8? What does 'port provides /opt/local/lib/libgcc/libatomic.1.dylib' say? -- Piet van Oostrum

Re: Portfile question (actually, tcl question)

2019-09-21 Thread Piet van Oostrum
Gerben Wierda writes: > set startupitemstring [variant_isset "withdnsserver" ? "port load > dns-server\n\t" : ""] Try this one: set startupitemstring [expr [variant_isset withdnsserver] ? {"port load dns-server\n\t"} : {""}] -- Pi

Re: help needed: “Error: clang-4.0 has been replaced by clang-8.0; please install that instead”

2019-07-23 Thread Piet van Oostrum
y on clang-4.0 or llvm-4.0. When my system automatically switched from clang-4.0 to clang-8.0 I remember I had to do some manual cleanup. I think it was ld64-latest. Run 'port installed|grep llvm' to check. Or maybe 'port installed|grep clang'. -- Piet van Oostrum WWW: http://piet.vanoostr

Re: Heads up: poppler won't build

2019-02-25 Thread Piet van Oostrum
er version. if {${subport} ne ${name}} { ... } else { # generation of Poppler-0.18.gir fails if previous version of poppler is active # appropriate for main poppler port only conflicts_build ${name} } -- Piet van Oostrum WWW: http://piet.vanoostrum.org/ PGP key: [8DAE142BE17999C4]

Re: Error in trace mode

2019-02-19 Thread Piet van Oostrum
Ryan Schmidt writes: > On Feb 9, 2019, at 13:02, Piet van Oostrum wrote: > >> Ken Cunningham writes: >> >>> due to a weird idiosyncracy, if set autoconf.cmd you need to specify the >>> depends.build stuff after that line. >>> >>> No

Re: Error in trace mode

2019-02-09 Thread Piet van Oostrum
ions of some dependencies. And with that it works, even with set autoconf.cmd after the dependencies. -- Piet van Oostrum WWW: http://piet.vanoostrum.org/ PGP key: [8DAE142BE17999C4]

Error in trace mode

2019-02-08 Thread Piet van Oostrum
: depends_build port:autoconf \ port:automake use_autoconfyes autoconf.cmd./bootstrap I have no idea how to get rid of this warning. Without -t the port installs without problems. Can anyone give me an idea how to solve this? -- Piet van Oostrum WWW: http

Re: gimp doesn't open images

2019-01-27 Thread Piet van Oostrum
; > Any of you experiencing something similar? > > https://trac.macports.org/ticket/57842 -- Piet van Oostrum WWW: http://piet.vanoostrum.org/ PGP key: [8DAE142BE17999C4]

Re: Gimp crashes when loading png or jpg

2019-01-08 Thread Piet van Oostrum
Ryan Schmidt wrote: > On Dec 31, 2018, at 14:11, Piet van Oostrum wrote: > > > Suddenly my gimp crashes when I try to load a PNG or JPG file. It gives > > the error message: > > Plug-in crashed: "file-png" > > (/Applications/MacPorts/GIMP.app/Conte

Gimp crashes when loading png or jpg

2019-01-05 Thread Piet van Oostrum
ut that did not help. Is this a known issue? -- Piet van Oostrum WWW: http://piet.vanoostrum.org/ PGP key: [8DAE142BE17999C4]

Upgrade/install osxfuse gives checksum errors.

2017-09-25 Thread Piet van Oostrum
---> Verifying checksums for osxfuse Error: Checksum (rmd160) mismatch for prefpane-8a65eb2.tar.gz Error: Checksum (sha256) mismatch for prefpane-8a65eb2.tar.gz Error: Failed to checksum osxfuse: Unable to verify file checksums -- Piet van Oostrum <pie...@vanoostrum.org>